@import url(https://fonts.googleapis.com/css);

* {
    box-sizing: border-box; 
	padding: 0; 
	margin: 0; 
	font-family: "Poppins" , sans-serif; 
	text-decoration: none; 
	list-style: none; 
}

* img{
    width : 10%
}
  
body {
    font-size: 1em;
    background-color: #ffffff;
}
  
a {
    color: #242424;
    text-decoration: none;
}
  

  
h1 {
    font-size: 3.5em;
    color: #ffc850;
}
  
h2 {
    color: #ffc13c;
}

p,
li {
    font-size: 1.1em;
    color: #000000;
}

header,
footer {
    padding: 20px 50px;
}
footer nav {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
.navmenu {
    display: flex; 
}
.navmenu a { 
   display: inline-block; 
   margin: 0 1.5rem; color: #1e1e24; 
   font-weight: 500; 
   transition: all 0.6s;
}
.navmenu img{
    width: 15px;
}
footer img{
    width: auto;
}
.navmenu a:hover {
   transform: translateY(-5px); 
}  

nav{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}
.nav-footer a{
    padding: 10px;
}

.logo{
    font-weight: bolder;
    font-size: 50px;
}


#cursor {
    width: 0;
    height: 1px;
    background-color: black;
    position: absolute;
    animation: blink 0.7s linear infinite;
}
  
@keyframes blink {
    from, to {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
}

/* Dark Mode CSS */
body.dark-mode{

    background-color: #1e1e1e;
}

body.dark-mode a,
body.dark-mode p{
    color: #ffffff;
}

body.dark-mode .logo {
    color: #ffc850; /* Change la couleur du texte du logo dans le mode sombre */
}

body.dark-mode .navmenu img,
body.dark-mode footer img {
    filter: brightness(0) invert(1); /* Inverse la couleur des images pour les rendre blanches dans le mode sombre */
}

body.dark-mode#dark-mode-toggle img {
    filter: brightness(0) invert(1); /* Inverse la couleur de l'icône du mode sombre pour la rendre blanche dans le mode sombre */
}


@media screen and (max-width: 996px) {
    h1 {
        font-size: 2em;
    }
    
    .logo {
        font-size: 30px;
    }

    header, footer {
        padding: 20px;
    }

    .navmenu {
        flex-direction: column;
        align-items: center;
    }

    .navmenu a {
        margin: 10px 0;
    }

    * img {
        width: 8%;
    }
}



.animated-text{
    font-size: 34px;
    font-weight: 600;
    min-width: 280px;
}

.animated-text span{
    position: relative;
}

.animated-text span::before{
    content: "Youtuber";
    color: #ff9531;
    animation: words 20s infinite;
}

.animated-text span::after{
    content: "";
    position: absolute;
    width: calc(100% + 8px);
    height: 100%;
    background-color: #ffffff;
    border-left: 2px solid #ff9c50;
    right: -8px;
    animation: cursor .8s infinite, typing 20s steps(14) infinite;
}
.dark-mode .animated-text span::after{
    background-color: #1e1e24;
}
@keyframes cursor {
    to{
        border-left: 2px solid #ff7f5000;
    }
}

@keyframes words {
    0%,20%{
        content: "Fred";
    }
    21%,40%{
        content: "Blagueur";
    }
    41%,60%{
        content: "Dévelopeur";
    }
    61%,80%{
        content: "Designeur";
    }
    81%,100%{
        content: "Gameur";
    }
}

@keyframes typing {
    10%,15%,30%,35%,50%,55%,70%,75%,90%,95%{
        width: 0;
    }
    5%,20%,25%,40%,45%,60%,65%,80%,85%{
        width: calc(100% + 8px);
    }
}